## org.apache.hadoop.filecache
Class TrackerDistributedCacheManager.CleanupThread

    java.lang.Object
      java.lang.Thread
          org.apache.hadoop.filecache.TrackerDistributedCacheManager.CleanupThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  TrackerDistributedCacheManager

    protected class TrackerDistributedCacheManager.CleanupThread

extends Thread

A thread to check and cleanup the unused files periodically

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`TrackerDistributedCacheManager.CleanupThread(Configuration conf)`

Method Summary
`protected void` `exitTaskTracker(Throwable t)` Exit the task tracker because of a fatal error.
`void` `run()`
`void` `stopRunning()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrackerDistributedCacheManager.CleanupThread

    public TrackerDistributedCacheManager.CleanupThread(Configuration conf)

Method Detail

### stopRunning

    public void stopRunning()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### exitTaskTracker

    protected void exitTaskTracker(Throwable t)

  Exit the task tracker because of a fatal error.

Copyright © 2009 The Apache Software Foundation